GET/payments/requests/{requestId}/automatic-pix/schedules/{paymentId}

Obtenha um pagamento PIX agendado automaticamente

Recupera um pagamento PIX automático agendado pelo id

Parameters

Path Parameters

NameType
requestIdrequired
string (uuid)
paymentIdrequired
string (uuid)

Responses

200Recupera um pagamento PIX automático agendado pelo id
object

Automatic PIX payment detail with additional fields

All of:
part 1object

Automatic PIX payment

idrequiredstring

Identificador primário de pagamento

statusrequiredstring

Status of an individual recurring PIX payment. - `SCHEDULED`: the payment has been scheduled at the institution. - `CREATED`: the payment is created and pending execution. - `COMPLETED`: the payment was confirmed. - `CANCELED`: the payment was canceled. - `ERROR`: the payment failed (see `errorDetail`).

SCHEDULEDCREATEDCOMPLETEDCANCELEDERROR
amountrequirednumber

Valor do pagamento

descriptionstring

Descrição do pagamento

daterequiredstring (date)

Data agendada para pagamento

endToEndIdstring | null

Identificador de pagamento de ponta a ponta

errorDetailobject | null
clientPaymentIdstring

Identificador externo para o pagamento

recipientIdrequiredstring (uuid)

Identificador do destinatário do pagamento

isFirstPaymentboolean

Indica se este é o primeiro pagamento

attemptsobject[]
part 2object
scheduledStatusReachedrequiredboolean

Indicates whether the payment reached the scheduled status in the last attempt. Useful to determine if a retry can be executed.

curl -X GET \
'https://api.pluggy.ai/payments/requests/{requestId}/automatic-pix/schedules/{paymentId}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'
Resposta de exemplo
null